﻿@model RealEstate.Models.InsentiveModel
    @{
        ViewBag.Title = "Add Edit Insentive";
        Layout = "~/Views/Shared/_Layout.cshtml";
    }
    @{

        var rolename = HttpContext.Current.Session["rolename"].ToString();
    }

    @using (Html.BeginForm("AddEditInsentive", "User", FormMethod.Post, new { enctype = "multipart/form-data", id = "frm_AddEditInsentive" }))
    {
        @Html.AntiForgeryToken()
        @Html.ValidationSummary(true, "", new { @class = "text-danger" })
        @Html.HiddenFor(m => Model.InsentiveId)

        <div class="row">
            <div class="col-xl-12">
                <div class="card bg-white text-black mb-1">
                    @*<div class="card-header text-left">
                            Salary Detail
                        </div>*@
                    <div class="card-body text-center">

                        <div class="row" style="margin-top:1em;">
                            <div class="col-sm-6">
                                <div class="form-group">
                                    @Html.Label("Mode", htmlAttributes: new { @class = "control-label col-md-5 text-left" })
                                    <div class="col-md-7 float-right">
                                        @Html.DropDownListFor(x => x.Mode, new List<SelectListItem>{
                                            new SelectListItem() {Text = "Cash", Value="Cash"},
                                            new SelectListItem() {Text = "Bank Transfer", Value="Bank Transfer"}
                                            }, new { @class = "form-control" })

                                        @Html.ValidationMessageFor(model => model.Mode, "", new { @class = "text-danger" })
                                    </div>
                                </div>
                            </div>

                            <div class="col-sm-6">
                                <div class="form-group">
                                        @Html.LabelFor(model => model.Amount, htmlAttributes: new { @class = "control-label col-md-5 text-left" })
                                        <div class="col-md-7 float-right">
                                            @Html.EditorFor(model => model.Amount, new { htmlAttributes = new { @class = "form-control" } })
                                            @Html.ValidationMessageFor(model => model.Amount, "", new { @class = "text-danger" })
                                        </div>
                                    </div>
                            </div>
                        </div>


                         
                        <div class="row" style="margin-top:1em;">
                            <div class="col-sm-6">
                                <div class="form-group">
                                    @Html.LabelFor(model => model.Remarks, htmlAttributes: new { @class = "control-label col-md-5 text-left" })
                                    <div class="col-md-7 float-right">
                                        @Html.EditorFor(model => model.Remarks, new { htmlAttributes = new { @class = "form-control" } })
                                        @Html.ValidationMessageFor(model => model.Remarks, "", new { @class = "text-danger" })
                                    </div>
                                </div>
                            </div>

                            <div class="col-sm-6">
                                <div class="form-group">
                                    @Html.LabelFor(model => model.UserLst, htmlAttributes: new { @class = "control-label col-md-5 text-left" })
                                    <div class="col-md-7 float-right">
                                        @Html.DropDownListFor(m => m.UserId, new SelectList(Model.UserLst, "Value", "Text"), "-- SELECT USER --", new { @class = "form-control", @id = "lstBank" })
                                        @Html.ValidationMessageFor(model => model.UserId, "", new { @class = "text-danger" })

                                    </div>
                                </div>
                            </div>
                        </div>


                    </div>
                </div>
            </div>
        </div>

        <div class="row">
            <div class="col-xl-12">
                <div class="card bg-white text-black mb-1">
                    <div class="card-body text-center">
                        <div class="text-center">
                            @if (rolename.ToLower().Contains("admin"))
                            {
                                <input type="submit" value="Submit" class="btn btn-primary" />
                            }
                            <span><a class="btn btn-danger" href="~/User/Insentive">Cancel</a></span>
                        </div>
                    </div>
                </div>
            </div>
        </div>

    }
    @section scripts{
        <script type="text/javascript">
            $("#frm_AddEditInsentive").submit(function (e) {
                var mode = $("#Mode option:selected").val();
                var r = confirm(mode + " mode seleted. is it OK ?");
                if (r != true) {
                    e.preventDefault();
                }
            });
        </script>
    }
